<?php

namespace common\modules\unisender;

/**
 * unisender module definition class
 */
class Module extends \common\components\WebModule
{
    /**
     * @inheritdoc
     */
    public $controllerNamespace = 'common\modules\unisender\controllers';

    public static $active = true;

    public $menu_icons = 'fa fa-envelope';

    public static function name()
    {
        return 'Модуль UNISender';
    }

    public static function description()
    {
        return 'Управление Unisender';
    }

    public static function version()
    {
        return '1.0';
    }

    public static function adminMenu()
    {
        return [
            'Управление Unisender' => '/unisender/default/index',
        ];
    }

    /**
     * @inheritdoc
     */
    public function init()
    {
        parent::init();

        // custom initialization code goes here
    }
}
